# $Id: Makefile.in,v 1.1.1.1 2002/05/29 20:17:14 csieh Exp $

srcdir = @srcdir@

ARCH := $(patsubst i%86,i386,$(shell uname -m))
ARCH := $(patsubst sparc%,sparc,$(ARCH))

TARGETS = all install-bin clean distclean realclean dep depend
SUBDIRS = util obj insmod genksyms depmod @kerneld_SUBDIR@

$(TARGETS)::
	@for i in $(SUBDIRS); do $(MAKE) ARCH=$(ARCH) -C $$i $@ ; done

distclean realclean install-man::
	$(MAKE) -C man $@

install: install-bin install-man

realclean::
	rm -f config.log config.cache config.status

distclean::
	rm -f config.log config.cache config.status
	rm -f Makefile
